%global pypi_name pylev

%{?python_enable_dependency_generator}

Summary:        Liberally licensed, pure Python Levenshtein implementation
Name:           python-%{pypi_name}
Version:        1.4.0
Release:        2%{?dist}
License:        BSD

URL:            http://github.com/toastdriven/pylev
Source0:        %{pypi_source}
Source1:        https://raw.githubusercontent.com/toastdriven/pylev/master/LICENSE

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
pure Python Levenshtein implementation that’s not freaking GPL’d.
Based off the Wikipedia code samples at
https://en.wikipedia.org/wiki/Levenshtein_distance.


%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
A pure Python Levenshtein implementation that’s not freaking GPL’d.
Based off the Wikipedia code samples at
https://en.wikipedia.org/wiki/Levenshtein_distance.


%prep
%autosetup -n %{pypi_name}-%{version}

rm -rf %{pypi_name}.egg-info

cp %{SOURCE1} .


%build
%py3_build


%install
%py3_install


%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}/*.py
%{python3_sitelib}/%{pypi_name}/__pycache__
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-2
- Rebuilt for loongarch release

* Thu Sep 21 2023 Shuo Wang <abushwang@tencent.com> - 1.4.0-1
- update to 1.4.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 29 2022 cunshunxia <cunshunxia@tencent.com> - 1.3.0-1
- initial build
